Foros del Web » Programando para Internet » PHP »

Como instalo APACHE y PHP en WIN98??...gracias =;)

Estas en el tema de Como instalo APACHE y PHP en WIN98??...gracias =;) en el foro de PHP en Foros del Web. He estado leyendo el faq y demas post del foro y nada...además la mayoria de los manuales sobre php estan muy pasados: me explico: 1-Ejecuto ...
  #1 (permalink)  
Antiguo 31/01/2003, 16:49
 
Fecha de Ingreso: noviembre-2002
Mensajes: 253
Antigüedad: 15 años
Puntos: 1
Como instalo APACHE y PHP en WIN98??...gracias =;)



He estado leyendo el faq y demas post del foro y nada...además la mayoria de los manuales sobre php estan muy pasados:
me explico:

1-Ejecuto apache 1.3.2 y a continuacion tengo q crear una carpeta en C:\apache....cuando en le manual me dice que se crea sola....... bueno, no lo he tocado aun (no se si hay que retocar algo).

2-Me bajo el php ultima version con el instaler....finalmente intale php.ini en c:\wind y lo modifique la direccion de las .dll con barras invertidas incluidas y todo......

Pues bien, ya he hecho esto barias vececes y ni de coña....a ver si alguien me dice pasito a pasito + o - como hago pa q esto funcione......haber si un gurú me dice como va gracias amigos

un saludo

PD.mi os es W98...y para la creacion de archivo el dwmx
  #2 (permalink)  
Antiguo 31/01/2003, 17:50
Avatar de sir_notos  
Fecha de Ingreso: noviembre-2001
Ubicación: Mexicali
Mensajes: 709
Antigüedad: 16 años
Puntos: 1
Para no batallar puedes usar el phptriad o el foxserv no?
__________________
Usuario Registrado de linux #374849
  #3 (permalink)  
Antiguo 31/01/2003, 19:34
Avatar de ccesarcv  
Fecha de Ingreso: enero-2003
Ubicación: México, D.F.
Mensajes: 35
Antigüedad: 14 años, 10 meses
Puntos: 0
Una opcion para no romperse la cabeza instalandolo es mejor bajar la suite de APPSERV la cual viene con apache+php+mysql lo tengo corriendo sobre XP prro lo puedes descargar de este link:

http://academic.cmri.ac.th/appserv/

Pero este corre en cualquier plataforma windows.

Es muy bueno...

Cualquier duda por aca andamos...

Cesar Castillo
  #4 (permalink)  
Antiguo 01/02/2003, 06:05
 
Fecha de Ingreso: enero-2003
Mensajes: 75
Antigüedad: 14 años, 10 meses
Puntos: 0
Yo ayer mismo he seguido un tema del foro con las últimas versiones de todo (apache 1.3.27 y mysql 3.23.55 y php 4.3) y me ido de perlas, es realmente sencillo y está muy bien explicado, si lo tienes todo no tardas más de 5 min en instalarlo todo.

El tema habla de XP, pero supongo que si es para win98 con cambiar donde dice system32 por system a secas llegará, corregidme si me equivoco.

El tema está en:

http://www.forosdelweb.com/showthrea...ache+php+mysql

te digo esto pq a mi me a ido muy bien y yo tb le tenía algo de miedo a instalar todo esto , incluso probé todos los instaladores que existen el foxserv, appser, PHPTRIAD (el único que me funcionó, pero el php creo q es el 4.1.1), bigapache, y... será que soy un negao o que tengo mala suerte pero no me congratularon nada.
__________________
Saludos, Mich
  #5 (permalink)  
Antiguo 01/02/2003, 13:28
Avatar de ccesarcv  
Fecha de Ingreso: enero-2003
Ubicación: México, D.F.
Mensajes: 35
Antigüedad: 14 años, 10 meses
Puntos: 0
mira el proyecto apache que te recomende corre muy bien en win32 de hecho es executable yo lo tengo jalando en XP pero algunos amigos lo tienen corriendo el win98, winME, win NT y funciona sin ningun problema, ademas de que al momento de instalar el exe te instala el mysql y php mas un foro de discucion creo que es este mismo que usamos en foros del web.

Saludos...
  #6 (permalink)  
Antiguo 01/02/2003, 14:15
 
Fecha de Ingreso: noviembre-2002
Mensajes: 253
Antigüedad: 15 años
Puntos: 1
Sonrisa

Qtal Mich la verdad es que es que el lik del post esta muy bien pero increiblemente las versiones de los programas ¡ya estan pasados!
Apache 1.3.24; PHP 4.2.0 cuando ya se bajan el Apache 2.0 y la version Php 4.3.0 y claro ya no coincieden los datos a la hora de ajustar los archivos.......

Lo que si creo que funciona y por lo visto bien es APPserver. Vaya solucion más acojonante!! por eso te agradezco ccesarcv tu genial aportación aunque no he conseguido abrir un archivo desde el dwmx, se que creo que todo esta bien configurado ya que al comprobar c://localhost me aparece la pagina index del apache.

La pregunta seria como puedo ver los archivos ya que he echo varias pruebas (tanto desde el dwmx como del editor
PHP Coder y no consigo verlos)...

Un saludo
  #7 (permalink)  
Antiguo 01/02/2003, 15:51
 
Fecha de Ingreso: enero-2003
Mensajes: 75
Antigüedad: 14 años, 10 meses
Puntos: 0
De acuerdo

Si te funciona bien el appserv genial, pero yo instalé ayer mismo el apache 1.3.27 (la versión 2 no la recomiendan mucho todavía) y mysql 3.23.55 (la v.4 lo mismo que el apache) y php 4.3 siguiendo esas instrucciones y perfecto, no ha cambiado nada, pero el appserv tb está mu bien, pero a mi no me funcionó
__________________
Saludos, Mich
  #8 (permalink)  
Antiguo 01/02/2003, 22:35
Avatar de Chaudx  
Fecha de Ingreso: marzo-2002
Ubicación: Quilpué, Chilito lindo
Mensajes: 345
Antigüedad: 15 años, 9 meses
Puntos: 2
¿Por casualidad configuraste el archivo httpd.conf, de Apache para que te reconociera los archivos *.php?
Hay una linea que dice más o menos así

Directoryindex index.html index.php

si eso está bien, entonces te falta algo como lo siguiente
Código:
ScriptAlias /php/ "c:/php/" <---Ruta de la carpeta donde está php
AddType application/x-httpd-php .php
Action application/x-http-php "/php/php.exe" <---nombre del ejecutable de php y ruta a partir de la carpeta php.
No sé si la sintaxis está bien, pero es una línea primordial en el archivo de configuración de Apache (httpd.conf)

Espero haberte ayudado

Saludos
__________________
Servicios computacionales
Linux registered User # 306587
Ubuntu user #14563
  #9 (permalink)  
Antiguo 02/02/2003, 10:53
 
Fecha de Ingreso: noviembre-2002
Mensajes: 253
Antigüedad: 15 años
Puntos: 1
Sonrisa

Oye Chaudx no se site refieres a mi problema o al de Mich, si es al mio creo que no es asi ya que php no esta en c:/, si no en la carpeta que crea por defecto el Appserver C:\AppServ. Es decir en el http.conf ya queda automaticamente configurado (eso parece).

Sobre el problema de Mich , ¿tienes activado algun firewall?, has borrado los archivos antiguos del registro (apache y php..etc):
te recomiendo para ello esto (http://www.vtoy.fi/jv16/programs/jv16pt_setup.exe) que es la "ultisima" version del famoso Reg cleaner, limpias facilmente toda la basura que ya no te sirve y evitas cruces de versiones.(esta en español)

Un saludo
  #10 (permalink)  
Antiguo 02/02/2003, 16:12
 
Fecha de Ingreso: enero-2003
Mensajes: 75
Antigüedad: 14 años, 10 meses
Puntos: 0
Yo personalmente no tengo ningún problema, tengo el apache con php 4.3 y mysql funcionando bien, los problemas fueron con el appserv, pero instalando manualmente todo funcionó bien.
__________________
Saludos, Mich
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 21:29.